Skip to main content
POST
Cancel an offramp

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

offrampId
string
required

Public ID of the offramp transaction (prefixed with offramp_)

Response

Offramp cancelled.

An offramp transaction.

id
string

Public ID of the offramp (prefixed with offramp_).

Example:

"offramp_9dQ2mNpXwZ7bV1aLcs3Kf"

requestId
string<uuid>

Client-supplied idempotency key.

Example:

"8f3a2b1c-4d5e-6f70-8192-a3b4c5d6e7f8"

status
enum<string>
Available options:
NOT_INITIATED,
CREATED,
PENDING_APPROVAL,
OPEN_QUOTE,
CRYPTO_INITIATED,
AWAITING_FUNDS,
CRYPTO_PENDING,
CRYPTO_PROCESSED,
FIAT_INITIATED,
FIAT_PENDING,
COMPLETED,
FIAT_FAILED,
FIAT_RETURNED,
CRYPTO_RETURNED,
CRYPTO_FAILED,
QUOTE_FAILED,
IN_REVIEW,
REJECTED,
EXPIRED,
CANCELLED
Example:

"OPEN_QUOTE"

failedReason
string | null

Machine-readable failure reason. Null unless the offramp failed.

Example:

null

error
string | null

User-facing error summary. Null unless the offramp failed.

Example:

null

errorDetails
string | null

User-facing error details. Null unless the offramp failed.

Example:

null

source
object

Resolved source of the offramp.

destination
object

Resolved fiat payout destination.

receipt
object

On-chain and payout tracking references.

quote
object | null

Conversion quote for this offramp.

Example:
depositInfo
object[]

Deposit instructions, when applicable.

Example:
sameDayAch
boolean
Example:

false

achMessage
string | null
Example:

null

sepaMessage
string | null
Example:

null

wireMessage
string | null
Example:

null

swiftMessage
string | null
Example:

null

purposeOfPayment
string | null
Example:

"Supplier payment"

returnAddress
string | null

Address to which source stablecoins are returned if the offramp fails.

Example:

"0x1234567890abcdef1234567890abcdef12345678"

developerFee
object | null

Developer fee charged on the offramp, if any.

description
string | null
Example:

"July settlement"

createdAt
string<date-time>
Example:

"2026-07-01T10:30:00.000Z"

updatedAt
string<date-time>
Example:

"2026-07-01T10:30:00.000Z"